jQuery( document ).ready(function(){



    //This if statement checks if the color picker widget exists within jQuery UI
    //If it does exist then we initialize the WordPress color picker on our text input field
    if( typeof jQuery.wp === 'object' && typeof jQuery.wp.wpColorPicker === 'function' ){
        jQuery( '.nds_color' ).wpColorPicker();
    }
    else {
        //We use farbtastic if the WordPress color picker widget doesn't exist
        jQuery('.nds_color').focus(function(){
            jQuery(this).next('.nds_cp').toggle();
        });
        jQuery('.nds_color').blur(function(){
            jQuery(this).next('.nds_cp').toggle();
        });

        jQuery( '.nds_cp' ).each(function(index, el) {
            jQuery(this).farbtastic(jQuery(this).prev('.nds_color' ));
        });

    }

    jQuery('.nds-tab').click(function(){

        var id=jQuery(this).children('a').attr('href');

        jQuery('.nds-tab').removeClass('active');
        jQuery(this).addClass('active');


        //Hide all tabs

        jQuery('.nds_tabs').fadeOut();
        jQuery(id).fadeIn();

        return false;

    });

    jQuery('#enable_popup').click(function(){
        jQuery('#show_optin').fadeToggle();
        jQuery('#no_optin').fadeToggle();
    });


    jQuery('#o1_optin_custom').change(function(){
        jQuery('#o1_custom_image').fadeToggle();
    });
    jQuery('#o2_optin_custom').change(function(){
        jQuery('#o2_custom_image').fadeToggle();
    });

    jQuery('#o3_optin_custom').change(function(){
        jQuery('#o3_custom_image').fadeToggle();
    });

    jQuery('#o4_optin_custom').change(function(){
        jQuery('#o4_custom_image').fadeToggle();
    });

    jQuery('#oo_optin_custom').change(function(){
        jQuery('#oo_custom_image').fadeToggle();
    });


    jQuery('#nds_delete').click(function(){

        if(!confirm("Are you sure you want to delete the selected items?"))
            return false;
        return true;
    });



    jQuery('#nds_preview').click(function(e){
        jQuery('#nds_ajax_loader').fadeIn();
        e.preventDefault();
        jQuery.post(ajaxurl, {action: "preview", form: jQuery('#nds_single_form').serialize() , ajax:"1"}, function(es){
            jQuery('#nds_ajax_loader').fadeOut();
            var data=jQuery.parseJSON(es);
            jQuery('#nds_preview_holder').html(data.html);
            jQuery('#nds_lbf_popup').bPopup({
                closeClass:'nds_notice_close',
                speed: 450,
                transition: 'slideDown',
                positionStyle: 'absolute',
                follow: [false, false]
            });

            jQuery('.nds_o1').click( function(){
                jQuery(".nds_form").hide();
                jQuery('.lbf_optin_1').fadeIn();
            });
            jQuery('.nds_o2').click( function(){
                jQuery(".nds_form").hide();
                jQuery('.lbf_optin_2').fadeIn();
            });
            jQuery('.nds_o3').click( function(){
                jQuery(".nds_form").hide();
                jQuery('.lbf_optin_3').fadeIn();
            });
            jQuery('.nds_o4').click( function(){
                jQuery(".nds_form").hide();
                jQuery('.lbf_optin_4').fadeIn();
            });

            jQuery('.nds_other').click( function(){
                jQuery(".nds_form").hide();
                jQuery('.lbf_optin_o').fadeIn();
            });

            jQuery('input[name=option1]').change(function(){

                //jQuery('#lbf_optin_1').fadeIn();

                if(jQuery('.nds_other').attr('checked'))
                    jQuery('.nds_other_input').fadeIn();
                else
                    jQuery('.nds_other_input').fadeOut();

            });


        });
        return false;
    });

    jQuery('#nds_add').click(function(){
        img = jQuery('#nds_image_main').clone();
        img.find('.nds_close').css('display', 'inline');
        img.hide();
        jQuery('#nds_add').before(img);
        img.fadeIn();
        return false;
    })

    jQuery('#nds_add2').click(function(){
        img=jQuery('.nds_image').first().clone();
        img.find("input").val('');
        img.hide();
        jQuery('#nds_add2').before(img);
        img.fadeIn();
        return false;
    })


    jQuery('.upload_image_button').live('click', function() {
        selector=jQuery(this).siblings('.upload_image');

        formfield = selector.attr('name');
        tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
        return false;
    });

    window.send_to_editor = function(html) {
        imgurl = jQuery('img',html).attr('src');
        selector.val(imgurl);
        tb_remove();
    }



    jQuery('.nds_close').live("click", function(){

        jQuery(this).closest('.nds_image').fadeOut(300, function() {
            jQuery(this).remove();
        })
    });


});