<?php
    class ndsVote extends wpFramework {

    public function __construct()
    {
        parent::__construct(dirname(__FILE__));
        add_shortcode("nds_poll", array($this, "shortcode"));
        add_action("wp_ajax_vote", array($this, "vote"));
        add_action("wp_ajax_nopriv_vote", array($this, "vote"));



    }



    public function shortcode($atts = array())
    {
        global $wpdb;
        if(is_array($atts))
            extract($atts);

        $data=$wpdb->get_row("SELECT * FROM {$this->tablename} WHERE id='{$id}'", "ARRAY_A");

       // var_dump($atts);

        if($this->canVote($_SERVER['REMOTE_ADDR'], $id))
        {
            $data['show']= 0;
        }
        else
        {
            $data['show']= 1;
        }

        $data['total']= $this->getVotes($id);





        return $this->view("shortcode_template", $data);


    }
    public function vote()
    {
        global $wpdb;
        $data['poll_id'] = $_POST['poll_id'];
        $data['choice'] = $_POST['vote_url'];
        $data['ip'] = $_SERVER['REMOTE_ADDR'];
        $data['time']= time();


        if($this->canVote($data['ip'], $data['poll_id']))
        {
            // Store the vote

            $wpdb->insert($this->tablename.'_stats', $data);

            echo "1";
        }
        else
        {
            echo "-1";
        }
        die();

    }

    public function getVotesImage($poll_id, $image_url)
    {

        global $wpdb;
        $stats_table = $this->tablename."_stats";
        $query = $wpdb->query ("SELECT * FROM {$stats_table} WHERE poll_id='{$poll_id}' AND choice='{$image_url}'");

        return $wpdb->num_rows;
    }

    public function getVotes($poll_id)
    {
        global $wpdb;
        $stats_table = $this->tablename."_stats";
        $query = $wpdb->query ("SELECT * FROM {$stats_table} WHERE poll_id='{$poll_id}'");

        return $wpdb->num_rows;
    }
    private function canVote($ip, $poll_id)
    {
        global $wpdb;
        $now = time();

         $data=$wpdb->get_row("SELECT * FROM {$this->tablename} WHERE id='{$poll_id}'", "ARRAY_A");

        // Every 24 hours
        if($data['voting_system']!="" && $data['voting_system']!= 0 && is_numeric($data['voting_system']))
           $yesterday = $now - $data['voting_system']* 3600;
        else
            $yesterday = 0;
        $stats_table = $this->tablename."_stats";

        $query = $wpdb->query("SELECT * FROM {$stats_table} WHERE ip='{$ip}' AND poll_id='{$poll_id}' AND time>='{$yesterday}'");

        if($wpdb->num_rows > 0)
        {
            //already voted
            return false;
        }

        return true;

    }
}